Jump to content

A24 issues & how to fix them


wraitii
 Share

Recommended Posts

Hey everyone,

Following the release of A24, we've had a number of issues reported.

First, make sure that your game is clean and up-to-date:

  1. Deactivate all mods. your config file should read 'mod.enabledmods = "mod public"'. See GameDataPaths to know where it is
  2. Clear your cache. Likewise, consult GameDataPaths if you don't know how to do it

This will fix most of the issues you're likely to encounter.

Secondly, here are some know issues:

  • Spanish translation is broken. The 'fix' is to switch to another language for now. We'll fix this soon, so you'll simply be able to re-download the game. [Fixed in the A24b release]
  • There is a rare issue with garrisoning in formation (you're only affected if you don't use the formation walk override). This will also be hot fixed soon. [Fixed in the A24b release]
  • There is a rare issue where ordering a unit to do the same thing twice can incorrectly keep queued orders issued in-between (see #6046) - the 'fix' is to order the unit to do something else in that case, but in general this should not affect gameplay much.
  • Queuing 'AttackMoveUnit' orders for units currently in formation does not quite work: the order is not queued but executed right away

Let us know if you run into other issues,

Hope you enjoy the game :) 

  • Like 1
  • Thanks 2
Link to comment
Share on other sites

I just installed this game and it's not working. I cleared my cache and made sure my config file has 'mod.enabledmods = "mod public"'. Any help on this would be appreciated. These are the errors being displayed that are constantly incrementing and none of the buttons work.

 K71vF0C.png

Link to comment
Share on other sites

Hi! First of all, congratulations to everyone who contributed to this new 0 A.D. Alpha release. I confess that I imagined months ago that this release would be something smaller (few changes) and I was totally wrong. And that's good! Thanks again to the community of contributors this awesome release became a reality. That said, I would like to ask about the bug related to the previous installations mods. Is it possible to implement something that prevents this from happening in the next 0 A.D. versions? In addition, it would be great if there was a beautiful and explanatory interface for selecting mods, advising which are compatible, which are not, descriptions etc. Something suitable for novice users, not assuming an experienced player. By the way, congratulations on the map selection menu. Great feature! Regards!

  • Like 2
Link to comment
Share on other sites

On 21/02/2021 at 6:56 PM, wowgetoffyourcellphone said:

I do think the mod selection screen is a little... open source. Meaning, unintuitive. 

sometimes we should discuss, with sketches, the interface, because it really leaves a lot of sadness to see it.

  • Like 1
Link to comment
Share on other sites

  • 1 month later...
On 20/02/2021 at 9:13 PM, wraitii said:

First, make sure that your game is clean and up-to-date:

  1. Deactivate all mods. your config file should read 'mod.enabledmods = "mod public"'. See GameDataPaths to know where it is
  2. Clear your cache. Likewise, consult GameDataPaths if you don't know how to do it

This will fix most of the issues you're likely to encounter.

Is it ok to remove all subfolders and files under there? Or shall some be kept?

  1. C:\Users\JohnDoe\Documents\My Games\0ad\mods\
  2. C:\Users\JohnDoe\AppData\Local\0ad\cache\

Thank you! :)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...